summaryrefslogtreecommitdiffstats
path: root/misc/python-ssl-1.15/debian/python-ssl.preinst
diff options
context:
space:
mode:
Diffstat (limited to 'misc/python-ssl-1.15/debian/python-ssl.preinst')
-rw-r--r--misc/python-ssl-1.15/debian/python-ssl.preinst14
1 files changed, 14 insertions, 0 deletions
diff --git a/misc/python-ssl-1.15/debian/python-ssl.preinst b/misc/python-ssl-1.15/debian/python-ssl.preinst
new file mode 100644
index 000000000..f1afdfa16
--- /dev/null
+++ b/misc/python-ssl-1.15/debian/python-ssl.preinst
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+set -e
+
+# This was added by stdeb to workaround Debian #479852. In a nutshell,
+# pycentral does not remove normally remove its symlinks on an
+# upgrade. Since we're using python-support, however, those symlinks
+# will be broken. This tells python-central to clean up any symlinks.
+if [ -e /var/lib/dpkg/info/python-ssl.list ] && which pycentral >/dev/null 2>&1
+then
+ pycentral pkgremove python-ssl
+fi
+
+#DEBHELPER#